# BukkitCommandCompletionContext (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: BukkitCommandCompletionContext

Package co.aikar.commands

# Class BukkitCommandCompletionContext

java.lang.Object
co.aikar.commands.CommandCompletionContext<BukkitCommandIssuer>
co.aikar.commands.BukkitCommandCompletionContext

public class BukkitCommandCompletionContext extends co.aikar.commands.CommandCompletionContext<BukkitCommandIssuer>

## Field Summary

### Fields inherited from class co.aikar.commands.CommandCompletionContext

`issuer`

## Method Summary

Modifier and Type
Method
Description
`org.bukkit.entity.Player`
`getPlayer()`
Returns the Player object if this Issuer is a Player
`org.bukkit.command.CommandSender`
`getSender()`

### Methods inherited from class co.aikar.commands.CommandCompletionContext

`getConfig, getConfig, getConfig, getConfigs, getContextValue, getContextValue, getContextValueByName, getInput, getIssuer, hasConfig, isAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSender

public org.bukkit.command.CommandSender getSender()

### getPlayer

public org.bukkit.entity.Player getPlayer()
Returns the Player object if this Issuer is a Player

Returns: